use telers::types::{chat_member::ChatMember, User};

pub fn is_admin(all_admin_members: &Vec<ChatMember>, user: &User) -> bool {
    all_admin_members
        .iter()
        .any(|admin: &ChatMember| match admin {
            ChatMember::Administrator(admin) => &admin.user == user,
            ChatMember::Owner(owner) => &owner.user == user,
            _ => false,
        })
}
